AI = {}

local timer = 1
local bases = Bases:getBases()
  
function AI:load()
  local playerBase = Player:getPlayerBase()
  local randomBase
  
  repeat
    randomBase = love.math.random(1, #bases)
  until randomBase ~= playerBase
  
  bases[randomBase].owner = "ai"
  bases[randomBase].units = bases[randomBase].units + 150
  --bases[randomBase].selected = true
  bases[randomBase].specialty = {"capitol"}
  bases[randomBase].color = {255,0,0}
  bases[randomBase].secondaryColor = {128,0,0}
end

function AI:update(dt)
  if timer <= 0 then
    timer = 1
  else
    timer = timer - dt * 5
  end

  for k,base in ipairs(bases) do
    if base.attacking ~= true and base.owner == "ai" and timer <= 0 then
      baseToAttack = base.neighbors[love.math.random(1,#base.neighbors)]
      --print(base.id, base.neighbors[love.math.random(1,#base.neighbors)], units)
      if bases[baseToAttack].owner ~= "ai" and base.units > love.math.random(150, 250) then
        local units = math.floor(base.units / 2)
        base.units = math.ceil(base.units / 2)
        base.attacking = true
        --Attack:attack(base.id, baseToAttack, units)
        Movement:moveUnits(base.id, baseToAttack, units)
      end
    end
    if base.owner == "ai" and timer <= 0 and base.units < 1000 then
      base.units = base.units + 1
    end
  end
end

function AI:draw()
end

return AI