Mouse = {}

function love.mousepressed(x,y,n)
  if n == 3 then
    for k,base in pairs(Bases:getBases()) do     
      if base.hovering == true then
        print("Hovering: " .. base.id)
      end
      if base.selected == true then
        print("Selected: " .. base.id)
        print("Selected (global) " .. selectedBase)
      end
      if base.attacking == true then
        print("Attacking: " .. base.id)
      end
    end 
  end

  if n == 2 then
    selectedPositionX = x - tx
    selectedPositionY = y - ty
  end

  if n == 1 then
    love.audio.play(Sound:selectSound())
    for k,base in pairs(Bases:getBases()) do 
      if base.selected == true and base.owner == 1 and base.hovering == true and selectedUnits == 0 then -- if base already selected then select units to move
        Movement:setMovingUnits(base.id)
      elseif base.hovering == true and selectedUnits > 0 and Utils:tableHas(bases[selectedBase].neighbors,base.id) then
        Movement:moveUnits(selectedBase, base.id, selectedUnits)  
--[[      elseif base.hovering == true and base.owner ~= 1  and Utils:tableHas(bases[selectedBase].neighbors,base.id) then
        Attack:attack(selectedBase, base.id, selectedUnits)]]--
      elseif base.hovering == true and base.selected == false and selectedUnits == 0 then -- already hovering now select it 
        Bases:setSelectedBase(base.id)  
        --print("selecting base")
      elseif base.selected == true and base.hovering == true and selectedUnits > 0 then
        --print("un selecting attack")
        base.attacking = false
        base.units = base.units + selectedUnits
        selectedUnits = 0
        base.selected = false
      end
    end
  end
  buttons = UI:getButtons()
  for _,button in pairs(buttons) do
    hovering = UI:getHovering(button.fixture:getUserData())
    if hovering then Upgrades:base(button.fixture:getUserData()) end
  end
end

function love.wheelmoved(x, y)
  if scaleX < 1.5 and y > 0 then
    scaleX = scaleX + .01
    scaleY = scaleY + .01
  elseif scaleX > .8 and y < 0 then
    scaleX = scaleX - .01
    scaleY = scaleY - .01
  end
end

return mouse