Utils = {}

function Utils:distance ( x1, y1, x2, y2 )
  local dx = x1 - x2
  local dy = y1 - y2
  return math.sqrt ( dx * dx + dy * dy )
end

function Utils:tableHas (tab, val)
  for index, value in ipairs(tab) do
    if value == val then
      return true
    end
  end
  return false
end

function Utils:tableHasNot (tab, val)
  for index, value in ipairs(tab) do
    if value == val then
      return false
    end
  end
  return true
end

return Utils