Sound = {}

function Sound:selectSound()
  local snd = love.sound.newSoundData(512, 44100, 16, 1)
  for i = 0,snd:getSampleCount()-1 do
    local t = i / 44100
    local s = i / snd:getSampleCount()
    snd:setSample(i, (.7*(2*love.math.random()-1) + .3*math.sin(t*9000*math.pi)) * (1-s)^1.2 * .3)
  end

  return love.audio.newSource(snd) 
end


return Sound